@import url(https://fonts.googleapis.com/css?family=Ubuntu:400,700&subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext);
@import url(https://fonts.googleapis.com/css?family=Roboto:400,700&subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese);
@import url(https://fonts.googleapis.com/css?family=Oswald:400,700&subset=latin-ext);
@import url(https://fonts.googleapis.com/css?family=Press+Start+2P&display=swap&subset=cyrillic,cyrillic-ext,greek,latin-ext);
@import url(https://fonts.googleapis.com/css?family=Pacifico&display=swap&subset=cyrillic,cyrillic-ext,latin-ext,vietnamese);
@font-face {font-family: "VCR OSD Mono";
    src:
    url("https://db.onlinewebfonts.com/t/2545d122b16126676225a5b52283ae23.woff2") format("woff2"), /* chrome firefox */
    url("https://db.onlinewebfonts.com/t/2545d122b16126676225a5b52283ae23.woff") format("woff"), /* chrome firefox */
    url("https://db.onlinewebfonts.com/t/2545d122b16126676225a5b52283ae23.ttf") format("truetype"), /* chrome firefox opera Safari, Android, iOS 4.2+*/
    url("https://db.onlinewebfonts.com/t/2545d122b16126676225a5b52283ae23.svg#VCR OSD Mono") format("svg"); /* iOS 4.1- */
}

body {
    --color-bg-menu:#00243e;
    --color-bg-menu2:rgba(255, 255, 255, 0.078);
    --color-menu: #ffffff;
    --color-active: rgba(255, 255, 255, 0.078);
	--color-active-text: #f5f5f5;
	--color-placeholder:#ffffff;
    --color-active-hover: rgba(255, 255, 255, 0.138);
    --color-active-hover-text: #01d9cc;
    --color-unactive: #002f52;
	--color-button:#0099c0;
	
    --color-button-text:#ffffff;

	--c-button-a: #00b9e8;
	--c-button-a-hover: #02ccff;
	--c-button-b: #814ee3;
	--c-button-b-hover: #965eff;
	--c-button-c: #df00c6;
	--c-button-c-hover: #ff01e1;
	--c-button-d: #df8600;
	--c-button-d-hover: #ffaf01;

	--theme-hud-main-color:#01d9cc;
	--theme-hud-color:rgba(0, 0, 0, .4);
	--theme-hud-text-color:#fff;
	--theme-stats-hud-color:#fff;
	--theme-time-hud-color:#fff;
	--theme-top5-mass-color:#bf00aa;
	--theme-lb-player-color:#bf00aa;
	--theme-lb-friend-color:#791111;


	--chat-message-color: rgba(0, 0, 0, .4);
	--chat-message-text-color:#fff;
	--chat-message-nick-color:#01d9cc;
	--chat-message-time-color:#018cf6;

	--chat-command-color: rgba(191, 0, 170, .9);
	--chat-command-text-color:#fff;
	--chat-command-nick-color:#fff;
	--chat-command-time-color:#bf00aa;

	--chat-box-color:rgba(0, 0, 0, .4);
}

::-moz-selection {
	background-color:  var(--color-active-hover-text) !important
}

::selection {
	background-color:  var(--color-active-hover-text) !important
}

::-webkit-input-placeholder {
	opacity: 0.3;
	color: #8096a7 !important
}

::-moz-placeholder {
	opacity: 0.3;
	color: #8096a7 !important
}

body,
html {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size: 14px;
	line-height: 1.42857143;
	color: #333;
	overflow: hidden;
	background-color: black;
	background-size: cover;
}




#canvas, #webgl,
#debug-overlay {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	--filter: url(#filter); 
}


#overlays {
    font-family: 'Noto Sans', sans-serif;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 200;
}
	#helloContainer{
		z-index: 120;
		box-sizing: border-box !important;
		position:absolute;
		left:50%;
		top:50%;
		transform:translateX(-50%) translateY(-50%);
		display: flex;
		justify-content: space-around;
	}

.popover{
    z-index:500;
}

  
.fa, .fab, .fad, .fal, .far, .fas {
    line-height: inherit !important;
}

*{
  cursor: context-menu;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none
}
*, *:before, *:after {
    box-sizing: inherit;
}
a{
    color: var(--color-active-hover-text)

}


.BG{
    background-repeat: repeat;
	background-position: top center;
	background: var(--color-bg-menu);
}

.container {
   --box-shadow: inset 0px 0px 5px 1px rgba(0,0,0,0.75);
   font-size: 13px;
    display:block;
    margin: 2px;
    color: var(--color-menu);
    opacity: 1;
    position: relative;
}

.container.left{
    width: 190px;
    height: 200px;
}
.container.main{
    width: 350px;
    height: 550px;
}
.container.right{
    width: 190px;
    height: 200px;
}

.float-button {
    position: absolute;
    margin: 9px;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    background: var(--color-active);
    border-radius: 50%;
    z-index: 2;
}
.float-button:hover{
	background: var(--color-active-hover);
	color: var(--color-active-hover-text);
}

ul.tabs {
    padding: 0;
    margin: 0;
    display: flex;
    background: var(--color-bg-menu2);
    color: var(--color-active-text);
}

li.tab-button{
    -box-shadow: inset 0px 0px 5px 1px rgba(0,0,0,0.75);
    width: 100%;
    list-style: none;
    line-height: 36px;
    height:36px;
    text-align: center;
    transition: background,color .2s;
}

li.tab-button.active, li.tab-button:hover {
    -box-shadow: inset 0px 0px 10px 1px rgb(231, 54, 0);
    background: var(--color-active);
    color: var(--color-active-hover-text);
}

.tab-container{
    flex:1;
    position:relative;
    overflow-y:auto;
    height: 100%;
    --box-shadow: inset 0px 0px 5px 1px rgba(0,0,0,0.75);
    display: none;
}
.tab-container.active{
    --box-shadow: inset 0px 0px 5px 1px rgba(53, 245, 0, 0.75);
    display: block;
}


.content {
    height:100%;
    display:flex;
    flex-direction: column;
    align-content: stretch;
}
.content-bottom {
    padding: 8px;
    display:flex;
    flex-direction: row;
    align-content: stretch;
}
.restore-settings{
    font-size: 12px;
    color: var(--color-active-hover-text);
    text-align: center;
}
.button-a{
    display: inline-block;
    font-size: 18px;
    padding: 6px 12px;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background: var(--c-button-a);
    text-transform: uppercase;
    font-weight: 700;
    width: 100%;

}

/*  MAINMENU  */

.input-group-row {
    width: 100%;
    position: relative;
    display: table;
    border-collapse: separate;
}

.input-group-row .input-box-cell{
    display: table-cell;
    vertical-align: top;
    border:0px;
    padding: 2px;
    --height: 20px;
    color:var(--color-active-text)
}
.input-group-row .input-box-cell div,
.input-group-row .input-box-cell .input,
.input-group-row .input-box-cell select{
    height: 34px;
    padding: 6px;
    font-size: 14px;
    width:100%;
    border: 0px;
	color:var(--color-active-text);
}
.input-group-row .input-box-cell select option{
	background-color: var(--color-bg-menu);
}

.input-group-row .input-box-cell input,
.input-group-row .input-box-cell select{
    background-color: var(--color-active);
}

.input-group-row .input-box-cell .input:focus,
.input-group-row .input-box-cell select:focus,
.input-group .input:focus,
.input-group select:focus
{
    outline: 0;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(255, 255, 255, 0.741);
	background: var(--color-active-hover);
}
.input-group-row select{border-radius: 1px;}
.input-group-row input::placeholder {
	color: rgba(255, 255, 255, 0.3);

}

.input-group-row .input-box-cell input:hover,
.input-group-row .input-box-cell select:hover,
.input-group input:hover,
.input-group select:hover{
	background: var(--color-active-hover);
}

.button{
    width: 100%;
    height:34px;
    display: inline-block;
    font-size: 14px;
    padding: 6px 12px;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    text-transform: uppercase;
	font-weight: 700;
	color:var(--color-button-text);
}
.button .fas,
.button .fab {
	width: 22px;
}

.button.a{
	background: var(--c-button-a);
}
.button.a:active,
.button.a:disabled,
.button.a:focus,
.button.a:hover {
	background: var(--c-button-a-hover);
}

.button.b{
	background: var(--c-button-b);
}
.button.b:active,
.button.b:disabled,
.button.b:focus,
.button.b:hover {
	background: var(--c-button-b-hover);
}

.button.c{
	background: var(--c-button-c);
}
.button.c:active,
.button.c:disabled,
.button.c:focus,
.button.c:hover {
	background: var(--c-button-c-hover);
}

.button.d{
	background: var(--c-button-d);
}
.button.d:active,
.button.d:disabled,
.button.d:focus,
.button.d:hover {
	background: var(--c-button-d-hover);
}


/*   SETTINGS     */
.cursor-box{
    padding: 5px;
    width:40px;
    height:40px;
    display: inline-block;
} .cursor-box .active{
    background: var(--color-active);
}

.setting-box{
    padding: 5px;
    display: inline-block;
    width: 50%;
}

.option-title {
    font-size: 14px;
    padding: 6px 12px;
    vertical-align: middle;
    text-transform: uppercase;
    font-weight: 700;
	margin: 0;
	color: var(--color-active-hover-text);
}
.options-box {
	-outline: 1px solid rgb(16, 225, 218);
	margin: 0px 6px;
}

.option-box,
.slider-box,
.preset-box,
.font-box,
.input-box{
    padding: 10px;
    display: block;
}


.option-box .title{
	display: block;
    width: 100%;
}

label.option-box:hover{
	background-color: var(--color-active)
}

.input-group {
    width: 100%;
    position: relative;
    display: table;
    border-collapse: separate;
}

.input-group input,
.input-group select{
    display: table-cell;
    vertical-align: top;
    border:0px;
    width: 100%;
    height: 20px;
    color:var(--color-active-text)
}
.input-group select{border-radius: 1px;}
.input-group select option{
	background-color: var(--color-bg-menu);
}
.input-group input::placeholder {
    color: rgba(255, 255, 255, 0.3);
}
.slider-box .input-group{
    margin-top: 4px;
}

.setting-box .input,
.preset-box select,
.font-box select,
.input-box input,
.cursor-box .active{
    background-color: var(--color-active)
}

.hotkey-box{
    display: table;
    width:100%;
    font-size: 13px;
    padding: 2px;
}
.hotkey-title,
.default-key,
.custom-key{
    display: table-cell;
    padding: 2px;
    vertical-align: bottom;
    vertical-align: baseline;
}
.hotkey-title{
    -width: 100%;
}
.hotkey-title div{
    width: 100%;
}
.default-key{
    width:50px;
}
.default-key div{
    text-align: center;
    background: rgba(28, 140, 42, 0.22);
    border-radius: 8px;
    white-space: nowrap;
}
.custom-key{
    width:50px;
}
.custom-key-in, .command-in{
    width:100%;
    vertical-align: middle;
    border:0px;
    width: 100%;
    height: 20px;
    color:var(--color-active-text);
    background-color: var(--color-active)
}
.custom-key-in::placeholder {
    color: rgba(255, 255, 255, 0.3);
}




.colorpicker-input-addon, .colorpicker-input-addon i {
    display: table-cell;
    position: relative;
    vertical-align: top;
    padding: 0;
    width: 20px;
    height: 20px
}
.colorpicker-input-addon:before {
    width: 20px;
    height: 20px;
}




#profiles{
	/*margin: auto;*/
    /* left:50%; */
    /* transform:translate(-50%,-50%); */
    /*position: relative;
    height: 100%;*/
    /* top: 50%; */
    /*margin: auto;
    z-index: 1;*/
}


#mainButtons{
    position:relative;
    left:50%;
    transform:translateX(-50%);
    width:500px;
}
#connector{

  border-radius:5px;
  background:gray;
  padding:6px;
}
#connector .w3-col,#connector .w3-rest{
  padding:4px;
}

.b {
    -border: 1px solid blue;
}


#skins2{
	margin: auto;
	height: 180px;
	width: 180px;
	position:relative;
}
#skin-preview2{
	z-index:1;
	width:100%;
	height:100%;
	border-radius:50%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	position:absolute;
	overflow:hidden;
	background: var(--color-active);
	margin: auto;
}

#skins > #skin-preview2{
z-index:100;
width:200px;
height:200px;
}

.thumb{
vertical-align:bottom;
text-align:center;
background:var(--color-active);
width:40px;height:40px;
border-radius:50%;
top: 50%;left: 50%;
transform: translate(-50%, -50%);
position:absolute;
transition:transform 100ms;
overflow:hidden;
}

.thumb.selectedA:after{
  content:'1P';
  position: absolute;
  top:0;
  right:0;
  line-height: 40px;
  width:inherit;
  color: var(--color-active-text);
  text-shadow:0 0 1px red;
}
.thumb.selectedB:after{
    content:'2P';
    position: absolute;
    top:0;
    right:0;
    line-height: 40px;
    width:inherit;
	color: var(--color-active-text);
	text-shadow: 0 0 1px orange;
}

.thumb.selectedA.selectedB:after{
	content:'1P+2P';
}


.thumb.selectedX:after, .thumb.selectedA.selectedB.selectedX:after {
    content: 'X';
    background: rgba(148, 26, 26, 0.55);
    position: absolute;
    top: 0;
    right: 0;
    line-height: 40px;
    width: inherit;
    color: var(--color-active-text);
	text-shadow: 0 0 1px orange;
}

.selectedA{
	z-index:300 !important;
    box-shadow: 0 0 0 1px rgb(0, 199, 202);
}
.selectedB{
	z-index:300 !important;
    box-shadow: 0 0 0 1px orange;
}
.selectedX{
	z-index:300 !important;
    box-shadow: 0 0 0 1px red;
}

.thumb:hover{
z-index:300 !important;
box-shadow: 0 0 0 1px red;
}

#skins2 img{height:100%;width:100%}


.skin-button {
    background: var(--color-active);
    width: 30px;
    height: 15px;
    line-height: normal;
    border-radius: 10px;
    bottom: -12%;
    left: 40%;
    z-index: 198;
    position: absolute;
    text-align: center;
    transform: translate(-50%, -50%);
}

.skin-button#add{
	left: 40%;
}

.skin-button#rem{
	left: 60%;
}

/*SCROLLBAR*/
.os-host-transition>.os-scrollbar, .os-host-transition>.os-scrollbar-corner {
    -webkit-transition: none !important;
    transition: none !important;
}
.os-scrollbar.os-scrollbar-horizontal{
    display: none;
}
.os-host-transition>.os-scrollbar, .os-host-transition>.os-scrollbar-corner {
    -webkit-transition: opacity 0s, visibility .3s,top .3s,right .3s,bottom .3s,left .3s;
	 transition: opacity 0s, visibility .3s,top .3s,right .3s,bottom .3s,left .3s;
}

/*бегунок*/
::-webkit-scrollbar {
  width: 8px;
  height: 12px;
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
/*канавка*/
::-webkit-scrollbar-thumb {
  background: var(--color-active-text);;
  border: 0px;
  border-radius: 50px;
  box-shadow: 0 1px 3px rgba(0,0,0,0.4), inset 0px 0px 2px rgba(0, 0, 0, .4);

}
::-webkit-scrollbar-thumb:hover {
  background: #ffffff;
}
::-webkit-scrollbar-thumb:active {
  background: #ffffff;
}
::-webkit-scrollbar-track {
  background: transparent;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, .4);
  border: 0px none #ffffff;
  border-radius: 4px;
}

::-webkit-scrollbar-track:active {
  background: transparent;
}
::-webkit-scrollbar-corner {
  background: transparent;
}

/* RANGE SETTINGS*/

 .slidecontainer {
	width: 100%;
  }
  
  input[type="range"]:focus{
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, .4);
  }
  
  input[type="range"] {
	-webkit-appearance: none;
	width: 100%;
	height: 10px;
	border-radius: 5px;
	background-color: var(--color-active);
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, .4);
	outline: none;
  }
  
  input[type="range"]:hover {
	-opacity: 1;
  }
  /*бегунок*/
  input[type="range"]::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 20px;
	height: 20px;
	border-radius: 50%;
	background-color: var(--color-active-text);
	cursor: pointer;
	box-shadow: 0 1px 3px rgba(0,0,0,0.4), inset 0px 0px 2px rgba(0, 0, 0, .4);
  }


/* SWITCH SETTINGS*/

.switch {
	vertical-align: middle;
	position: relative;
	display: inline-block;
	width: 38px;
	height: 20px;
	}
  
  .switch input {display:none;}
  
  .slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: var(--color-active);
	-webkit-transition: .4s;
	transition: .4s;
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, .4);
  }
  
  .slider:before {
	position: absolute;
	content: "";
	height: 20px;
	width: 20px;
	left: 0px;
	bottom: 0px;
	background-color: var(--color-active-text);
	-webkit-transition: .4s;
	transition: .4s;
	box-shadow: 0 1px 3px rgba(0,0,0,0.4), inset 0px 0px 2px rgba(0, 0, 0, .4);
	}
  
  input:checked + .slider {
	background-color: var(--color-active-hover-text);
  }
  
  input:focus + .slider {
	box-shadow: 0 0 1px var(--color-active-hover-text);
  }
  
  input:checked + .slider:before {
		left: 18px !important;
	}
	
  .slider.round {
	cursor: pointer !important;
	border-radius: 34px;
	}
  
  .slider.round:before {
	border-radius: 50%;
  }

/* ORIGINAL SETTINGS*/


#chat-box,
#leaderboard-info,
#leaderboard-positions,
#message-menu,
#top5-hud {
	overflow: hidden;
	transform-origin: top left;
	will-change: contents;
}



#menu-footer {
	background-color: rgba(0, 0, 0, .5);
	font-size: 12px;
	text-align: right;
	padding: 5px;
	overflow: hidden
}

#block-warn,
.restore-settings,
.title-box {
	text-align: center;
	font-size: 12px
}



#leaderboard-info {
	white-space: nowrap;
	padding: 0 15px
}


#overlays-hud{
	position: absolute
}



#leaderboard-hud h4,
#top5-hud h5,
.hud-text-center,
.team-top-menu {
	text-align: center
}

.cursor-box a img {
	transition: all .2s linear;
	opacity: .6
}

.cursor-box a.active img,
.cursor-box a:hover img {
	opacity: 1
}



#overlays {
	margin-top: 0 !important
}

#overlays-hud {
	font-family: Ubuntu;
	font-size: 20px;
	z-index: 100;

}

.hud,
.hud-b,
.hud-c {
	display: none;
	background-color: var(--theme-hud-color);
	border-radius: 0;
	color: var(--theme-hud-text-color);
	font-size: 100%;
	padding: 2px 10px;
	position: fixed;
	pointer-events: none;
	border-radius:8px;
}

.hud-c {
	position: static
}

#leaderboard-data,
#minimap,
#minimap-sectors,
.toast .mute-user {
	position: absolute
}







.hud-main-color{
	color: var(--theme-hud-main-color);
}
.time-hud-color {
	color: var(--theme-time-hud-color);
}

.stats-hud-color {
	color: var(--theme-stats-hud-color);
}

.top5-mass-color {
	color: var(--theme-top5-mass-color);
	width: 2.3em;
	text-align:right;
	display: inline-block;
}

.team-top-menu {
	font-size: 70%;
	font-weight: 400;
	margin-bottom: 6px;
	-opacity: .75
}

.team-top-menu a.active,
.team-top-menu a:hover {
	font-weight: 700
}

#pause-hud {
	color: red;
	top: 85px;
	left: 50%;
	transform: translate(-50%, 0);
	display: none
}

#stats-hud {
	left: 10px;
	display: block;
	transform-origin: bottom left;
	transform: scale(1);
	will-change: contents;
}
#stats-hud.hud-top {
	top: 10px
}
#stats-hud.hud-bottom {
	bottom: 10px
}



.team-top {
	width: 200px;
	font-size: 100%;
	top: 55px;
	left: 10px;
	white-space: nowrap;
	padding: 0px 0px 0px 0px;
}


.team-top.hud-top {
	top: 10px
}
.team-top.hud-bottom {
	top: 55px
}

.team-top ul {
	width:100%;
	list-style: none;
	padding: 0px;
	margin:0;
	display: table;
	vertical-align:middle;
}
.team-top .title {
	padding: 0 10px;
	font-size: 95%;
	pointer-events: auto;
}

.team-top .skin {
  background-size:100%;
  border-radius:50%;
  background-repeat: no-repeat;
  width:20px;
  height:20px;
  -position:relative;
  -left:-20px;
	display: table-cell;
  display:none;
}
  
.team-top .info{
  display: table-cell;
  vertical-align:middle;
}
.team-top .mass {
  	--color: #bf00aa;
  	margin-left:.3em;
	min-width: 2.3em;
	text-align:right;
	display: inline-block;
  	-background:rgba(0,0,0,0.2)
}
.team-top .name{
  margin-left:.3em;
  display: inline-block;
  -background:rgba(0,0,0,0.2)
}

#leaderboard-hud,
#minimap-hud,
#time-hud {
	right: 10px
}

#target-skin,
#target-skin img {
	width: 1.5em;
	height: 1.5em;
	border-radius: 50%
}

#btl-leaderboard-hud .hud-c,
#leaderboard-data .lb-data,
#leaderboard-hud,
#leaderboard-positions span,
#message-menu a,
#messages li,
#overlays-hud[data-gamemode=":battleroyale"] #btl-leaderboard-hud,
#time-hud {
	display: block
}

#chat-emoticons{
	background-color: var(--theme-hud-color);
}



#minimap-hud {
	height: 200px;
	width: 200px;
	padding: 0;
	bottom: 10;
	border-radius: 8px;
	transform: scale(1);
	transform-origin: bottom right;
}

#minimap-sectors {
	margin: 0 0 0 0;
	opacity: .1;
	width: 100%;
	height: 100%;
}
#minimap {
	width: 100%;
	height: 100%;
}




#leaderboard-hud {
	width: 200px;
	font-size: 100%;
	white-space: nowrap;
	padding: 0;
	top: 10px;

	transform: scale(1);
	transform-origin: top right;
	will-change: contents;
}

#leaderboard-hud h4 {
	font-size: 95%;
	font-weight: inherit;
	text-transform: uppercase;
	margin: 0px;
	padding: 0 6px;
}

#leaderboard-positions {
	font-size: 70%;
	padding: 0 6px 6px 6px;
}

#leaderboard-positions .me {
	color: var(--theme-lb-player-color);
}
#leaderboard-positions .teammate {
	color: var(--theme-lb-friend-color);
}

#leaderboard-positions .clan-color {
	color: #018cf6
}

#leaderboard-data {
	font-size: 70%;
    text-align: right;
    margin-left: -85px;
}
#leaderboard-data .top5-mass-color{
	width: 80px !important;
}

#hotkeys-cfg .custom-key-in,
#hotkeys-inst,
#target-player,
#target-summary,
#time-hud {
	text-align: center
}

#time-hud {
	font-size: 75%;
	padding: 6px 0;
	top: 280px
}





#btl-hud,
#quest-hud {
	font-size: 80%;
	bottom: 10px;
	left: 50%;
	transform: translate(-50%, 0);
	display: none
}

#btl-leaderboard-hud {
	display: none;
	font-size: 90%;
	padding: 0;
	position: fixed;
	top: 58px;
	right: 10px
}

#message-box {
	width: 350px;
	height: auto;
	display: none;
	font-size: 14px;
	padding: 10px;
	overflow: visible;
	position: fixed;
	left: 50%;
	bottom: 82px;
	transform: translate(-50%, 0);
	z-index: 220
}

#message-menu {
	width: 100%;
	padding: 5px
}

#message-menu a {
	color: var(--theme-hud-main-color);
	text-decoration: none;
	margin-right: 1em;
	opacity: .5;
	pointer-events: auto;
	float: left
}

#message-menu a.active,
#message-menu a:hover {
	text-decoration: none;
	opacity: 1
}

#message-menu a.show-chat-emoticons {
	float: right;
	margin: 0
}

#message {
	width: 100%;
	height: auto;
	border: none;
	border-radius: 0;
	color: #fff;
	font-size: 100%;
	padding: 10px;
	background-color: var(--chat-message-color);
}
#message:focus{
    outline: 0;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(255, 255, 255, 0.741);
}
#chat-emoticons {
	text-align: center;
	width: 100%;
	height: auto;
	display: none;
	padding: 5px 0 5px 5px
}

#chat-emoticons .emoticon {
	width: 6%;
	padding: .5%
}

#chat-emoticons .emoticon:hover {
	padding: 0;
	width:6%;
}

#toast-container {
	width: 280px;
	font-size: 14px
}

#toast-container>div {
	width: 100%;
	border-radius: 0;
	box-shadow: none;
	font-size: 100%;
	padding: 10px 10px 10px 50px;
	opacity: 1;
	z-index: 210
}

#chat-box,
#messages {
	width: 280px;
	position: fixed;
	left: 10px;
}
#chat-box{
	background-color: var(--chat-box-color);
}
#toast-container>:hover {
	box-shadow: 0 0 12px #999;
	cursor: pointer
}

#toast-container>.toast-success,
#toast-container>.toast-warning {
	background-image: none !important;
	padding-left: 10px
}

.toast-bottom-left {
	bottom: 86px;
	left: 10px
}

.toast-warning {
	background-color: var(--chat-command-color);
	font-weight: 700
}

.toast-info {
	background-color: #018cf6
}

/*#chat-box,*/
#messages li, .toast-success {
	background-color: var(--chat-message-color);
	word-wrap: break-word
}

#messages {
	list-style-type: none;
	font-size: 14px;
	padding: 0;
	margin: 0;
	bottom: 86px;
	z-index: 209
}

#messages li {
	width: 100%;
	color: #fff;
	border-radius: 0;
	font-size: 100%;
	padding: 10px;
	margin: 0 0 6px
}

#chat-box {
	height: 300px;
	display: none;
	font-size: 14px;
	padding: 3px 0;
	bottom: 92px;
	resize: both;
	z-index: 210
}

#chat-box>div {
	font-size: 100%
}

.emoticon {
	width: 1.25em;
	height: auto;
	vertical-align: middle;
}

.message {
	-padding: 3px 12px;
	padding: 2px 0px 0px 10px;
}

	.message-time {
		color: var(--chat-message-time-color);
	}
	.message-nick {
		color: var(--chat-message-nick-color);
		font-weight: 700
	}
	.message-text {
		color: var(--chat-message-text-color);
	}

	.command-time {
		color: var(--chat-command-time-color)
	}
	.command-nick {
		color: var(--chat-command-nick-color);
		font-weight: 700
	}
	.command-text {
		color: var(--chat-command-text-color);
		font-weight: 700
	}


.user-list {
	padding-left: 14px
}

.mute-user,
.mute-user:hover {
	color: var(--chat-message-nick-color);
	text-decoration: none;
	vertical-align: middle;
	opacity: .5
}

.mute-user:hover {
	opacity: 1
}

.toast .mute-user {
	-color: #01d9cc;
	display: none;
	top: 25%;
    right: 8px;
}



.toast:hover .mute-user {
	display: block
}



#chat-box .message span,
#messages span,
.toast span {
	-webkit-user-select: text !important;
	-moz-user-select: text !important;
	user-select: text !important
}




#chat-box .ps-scrollbar-y-rail {
	right: 6px !important
}

.os-theme-dark>.os-scrollbar>.os-scrollbar-track>.os-scrollbar-handle{
	background-color: var(--color-active-hover-text) !important;
}




#verifyUser div div:before,
#verifyUser div div:after {
	content: '';
	position: absolute;
	left: 0px;
	top: 0px;
	border-radius:5px;
	background: linear-gradient(45deg, #fb0094, #0000ff, #00ff00,#ffff00, #ff0000, #fb0094, 
		#0000ff, #00ff00,#ffff00, #ff0000);
	background-size: 400%;
	width: calc(100% - 4px);
	height: calc(100% - 4px);
	z-index: -1;
	animation: steam 20s cubic-bezier(0.15, -0.07, 0.82, 1.04) infinite;
	animation-direction: alternate;
}

@keyframes steam {
	0% {
		background-position: 0 0;
	}
	50% {
		background-position: 400% 0;
	}
	100% {
		background-position: 0 0;
	}
}

#captchaWindow{
	display:none; 
	position:absolute; 
	top:0px; left:0px; 
	width: 100%; 
	height: 100%; 
	background-color: rgba(0,0,0,0.8); 
	z-index:500
}
#captchaWindow #verifyUser{
	position:absolute; 
	top:50%; 
	left:50%; 
	margin-left:-152px; 
	margin-top:-40px;
}

#captchaWindow #verifyUser div div:after {
	filter: blur(50px);
}

.chatbro_header.chatbro_minimized_header{
	height: 17px !important;
}
.chatbro_message *{
	user-select: text !important;
}
.chatbro_message *::selection {
	background-color:  rgba(132, 132, 132, 0.571) !important
}

/*#leaderboard-hud {
	top: min(max(9 * 1.29vw / 16), 1.29vh);
	right: min(max(9 * 1.3vw / 16), 1.3vh);
  }
  #leaderboard-hud h4 {
	font-size: min(max(9 * 3.24vw / 16), 3.24vh);
	height: min(max(calc(9 * 3.7vw / 16)), 3.7vh);
	padding: min(max(calc(9 * 1.6vw / 16)), 1.6vh)
			 min(max(calc(9 * (4vw + 0.14vw) / 16)), 4vh + 0.14vh)0
			 min(max(calc(9 * 4vw / 16)), 4vh);
	letter-spacing: min(max(9 * -0.0118vw / 16), -0.0118vh);
  }
  #leaderboard-positions {
  font-size: min(max(9 * 2vw / 16), 2vh);
  padding: min(max(9 * 0.67vw / 16), 0.67vh) 0
		   min(max(9 * 1.6vw / 16), 1.6vh)
		   min(max(9 * 1.6vw / 16), 1.6vh);
  }
  #leaderboard-positions span {
	height: min(max(9 * 2.45vw / 16), 2.45vh);
	letter-spacing: min(max(9 * -0.00599vw / 16), -0.00599vh);
  }*/